
From: NeilBrown <neilb@cse.unsw.edu.au>

This isn't a real bug as the smallest slab-size is 32 bytes but please
apply for consistency.

Found by the Coverity tool.

Signed-off-by: Alexander Nyberg <alexn@dsv.su.se>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/raid1.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/raid1.c~md-erroneous-sizeof-use-in-raid1 drivers/md/raid1.c
--- 25/drivers/md/raid1.c~md-erroneous-sizeof-use-in-raid1	2005-03-11 12:32:24.000000000 -0800
+++ 25-akpm/drivers/md/raid1.c	2005-03-11 12:32:24.000000000 -0800
@@ -1346,7 +1346,7 @@ static int raid1_reshape(mddev_t *mddev,
 		if (conf->mirrors[d].rdev)
 			return -EBUSY;
 
-	newpoolinfo = kmalloc(sizeof(newpoolinfo), GFP_KERNEL);
+	newpoolinfo = kmalloc(sizeof(*newpoolinfo), GFP_KERNEL);
 	if (!newpoolinfo)
 		return -ENOMEM;
 	newpoolinfo->mddev = mddev;
_
